Bug 196998 - Rename Automatic Resource Management to try-with-resources
Rename Automatic Resource Management to try-with-resources
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: Hints
7.0
All All
: P2 (vote)
: 7.0
Assigned To: Tomas Zezula
issues@java
: 70_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-23 09:47 UTC by Tomas Zezula
Modified: 2011-04-08 09:30 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2011-03-23 09:47:17 UTC
The name of JDK 7.0 language feature has changed from "Automatic Resource Management" to "try-with-resources". The hint should reflect this change.
The name of hint and its description has to be changed.

"Convert to Automatic Resource Management" changed into "Convert to try-with-resources"

"Converts try finally block to Automatic Resource Management" changed into  "Converts try finally block to try-with-resources"
Comment 1 Tomas Zezula 2011-03-23 13:39:16 UTC
Fixed jet-main 9b10649a9bde
Comment 2 Jan Lahoda 2011-03-24 09:27:13 UTC
I agree with the patch.
Comment 3 Jan Lahoda 2011-03-24 12:02:43 UTC
This should be also transplanted:
http://hg.netbeans.org/jet-main/rev/fd6b81f773bf
(no need for review, IMO, as the patch only modifies tests)
Comment 4 Tomas Zezula 2011-03-24 14:00:35 UTC
Transplanted into release70 3f4c4d543ec5
Transplanted into release70 1ad0cb0d168c
Comment 5 Quality Engineering 2011-03-28 08:48:22 UTC
Integrated into 'main-golden', will be available in build *201103280400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/9b10649a9bde
User: Tomas Zezula <tzezula@netbeans.org>
Log: #196998:Rename Automatic Resource Management to try-with-resources
Comment 6 Jaromir Uhrik 2011-04-08 09:30:42 UTC
Reporter=Developer who fixed the issue - so I have checked only the change integration. Marking as Verified.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo